%define	build_doc	0

Name:		nodejs
Version:	0.10.24
Release:	%mkrel 1
Summary:	Evented Server-Side Javascript
Group:		System/Servers
License:	BSD
URL:		http://nodejs.org
Source0:	http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
BuildRequires:	c-ares-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel >= 1.0.1
Provides:	npm = %{version}-%{release}

%description
Node's goal is to provide an easy way to build scalable network programs.

%if %build_doc
%package	doc
Summary: 	Node.js API documentation
Group:		Documentation

%description	docs
The API documentation for the Node.js JavaScript runtime.
%endif

%prep
%setup -q -n node-v%{version}

# Make sure nothing gets included from bundled deps (except v8):
# We only delete the source and header files, because
# the remaining build scripts are still used.
find deps/cares -name "*.c" -exec rm -f {} \;
find deps/cares -name "*.h" -exec rm -f {} \;

find deps/npm -name "*.c" -exec rm -f {} \;
find deps/npm -name "*.h" -exec rm -f {} \;

find deps/zlib -name "*.c" -exec rm -f {} \;
find deps/zlib -name "*.h" -exec rm -f {} \;

find deps/openssl -name "*.c" -exec rm -f {} \;
find deps/openssl -name "*.h" -exec rm -f {} \;

%build
#FIXME: some CFLAGS do not seem to be recognized :/
#FIXME: does not build with --shared-libuv (no package in Mageia)
./configure	--prefix=%{_prefix} \
		--shared-openssl \
		--shared-zlib \
		--shared-cares \
		--openssl-use-sys \
		--without-dtrace
%make

%install
%makeinstall_std
# Remove dtrace file again
rm -rf %{buildroot}/%{_prefix}/lib/dtrace

%if %build_doc
# Install documentation
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/html
cp -pr doc/* %{buildroot}%{_defaultdocdir}/%{name}/html
rm -f %{buildroot}%{_defaultdocdir}/%{name}/html/nodejs.1
cp -p LICENSE %{buildroot}%{_defaultdocdir}/%{name}/
%endif

%files
%doc ChangeLog LICENSE README.md AUTHORS
%{_bindir}/node
%{_bindir}/npm
%{_prefix}/lib/node_modules
%{_mandir}/man1/node.*
%{_includedir}/node

%if %build_doc
%files doc
%{_defaultdocdir}/%{name}
%endif


%changelog
* Mon Dec 23 2013 dams <dams> 0.10.24-1.mga3
+ Revision: 560124
- new version 0.10.24 to fix CVE-2013-4450 and CVE-2013-{6639|6640}
- new version 0.10.21 (DoS Vulnerability)

* Thu Apr 11 2013 dams <dams> 0.10.3-2.mga3
+ Revision: 409688
- now use bundled v8 as requested by Luigi12 to avoid using buggy v8 package

* Sat Apr 06 2013 dams <dams> 0.10.3-1.mga3
+ Revision: 408511
- new version 0.10.3

* Tue Apr 02 2013 dams <dams> 0.10.2-1.mga3
+ Revision: 407207
- new version 0.10.2

* Fri Mar 29 2013 dams <dams> 0.10.1-1.mga3
+ Revision: 406472
- disable doc for now
- new stable version 0.10.1
- clean and update BR
- add a 'docs' subpackage
- make sure we are not using bundled deps

* Sat Feb 09 2013 fwang <fwang> 0.9.9-1.mga3
+ Revision: 397647
- use shared cares
- update file list
- new version 0.9.9
- rebuild for new v8

* Sat Feb 09 2013 fwang <fwang> 0.9.0-4.mga3
+ Revision: 397503
- rebuild for new v8

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fedya <fedya> 0.9.0-2.mga3
+ Revision: 297232
- Provides: npm see #820

* Mon Jul 30 2012 shlomif <shlomif> 0.9.0-1.mga3
+ Revision: 276171
- New version 0.9.0 thanks to fedya.

  + dmorgan <dmorgan>
    - New version 0.8.1

* Wed Jan 11 2012 fwang <fwang> 0.4.12-1.mga2
+ Revision: 195003
- new version 0.4.12

  + misc <misc>
    - new version

  + shikamaru <shikamaru>
    - imported package nodejs


* Sat Mar 26 2011 Rémy Clouard <shikamaru@mandriva.org> 0.4.3-1.mga1
- initial package
